﻿using DailyDigestWorker.Models;

namespace DailyDigestWorker.Services
{
    // Интерфейс для сервиса получения курсов валют
    public interface ICurrencyService
    {
        // Асинхронный метод для получения данных
        // Принимает CancellationToken на случай, если операцию нужно будет прервать
        Task<CurrencyData?> GetCurrencyRatesAsync(CancellationToken cancellationToken);
    }
}